SystemOrganization addCategory: #'Smallchange-Dev-Web'!

WAToolPlugin subclass: #ScwClearPendingToolPlugin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Smallchange-Dev-Web'!

!ScwClearPendingToolPlugin methodsFor: 'actions' stamp: 'StuartHerring 3/18/2012 09:24'!
execute
	self session transactionProvider commit:[
		self session profile pendingTransactions removeAll]! !

!ScwClearPendingToolPlugin methodsFor: 'testing' stamp: 'StuartHerring 3/18/2012 10:40'!
isActive
	^ (self session isKindOf: ScwSession) and: [self session profile notNil and: [self session profile pendingTransactions notEmpty]]! !

!ScwClearPendingToolPlugin methodsFor: 'accessing' stamp: 'StuartHerring 3/18/2012 09:27'!
label
	^ 'Clear Pending (' , self session profile pendingTransactions size printString , ')'! !

!ScwClearPendingToolPlugin methodsFor: 'accessing' stamp: 'StuartHerring 3/18/2012 09:25'!
priority
	^ 710! !

WAToolPlugin subclass: #ScwTotalSessionTime
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Smallchange-Dev-Web'!

!ScwTotalSessionTime methodsFor: 'testing' stamp: 'StuartHerring 6/10/2012 17:44'!
isActive
	^ (self session isKindOf: ScwSession)! !

!ScwTotalSessionTime methodsFor: 'accessing' stamp: 'StuartHerring 6/10/2012 17:50'!
priority
	^ 999! !

!ScwTotalSessionTime methodsFor: 'accessing' stamp: 'StuartHerring 6/10/2012 17:46'!
renderContentOn: html
	html span class: self cssClass; with: [
		html span
			title: 'Total Time';
			with: self sessionTime]! !

!ScwTotalSessionTime methodsFor: 'accessing' stamp: 'StuartHerring 6/10/2012 17:48'!
sessionTime
	^self session timeSinceStart! !
